Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: /usr/bin/gettext gcc-c++ perl(Encode.pm) perl(Locale/TextDomain.pm) perl(PDF/API2.pm)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           fntsample
Version:        5.3
Release:        alt2_17
Summary:        A program for making font samples that show Unicode coverage of the font

License:        GPL-3.0-or-later
URL:            https://github.com/eugmes/fntsample/releases
Source0:        https://github.com/eugmes/fntsample/archive/release/%{version}/%{name}-%{version}.tar.gz
 
BuildRequires:  gettext-tools libasprintf-devel rpm-build-perl unicode-ucd
BuildRequires:  libcairo-devel libfreetype-devel glib2-devel libgio libgio-devel
BuildRequires:  fontconfig-devel libpango-devel libpango-gir-devel
BuildRequires:  gcc ctest cmake
Requires:       perl(Locale/TextDomain.pm)
Source44: import.info

%description
A program for making font samples that show Unicode coverage of
the font and are similar in appearance to Unicode charts.
Samples can be saved as PDF or PostScript files.

%prep
%setup -q -n %{name}-release-%{version}


%build
%{fedora_v2_cmake} -DUNICODE_BLOCKS=%{_datadir}/unicode/ucd/Blocks.txt
%fedora_v2_cmake_build

%install
%fedora_v2_cmake_install

%check
ctest -V %{?_smp_flags}

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog README.rst
%doc --no-dereference COPYING
%{_bindir}/fntsample
%{_bindir}/pdfoutline
%{_mandir}/man1/**

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 5.3-alt2_17
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 5.3-alt2_15
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 5.3-alt2_14
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 5.3-alt2_12
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 5.3-alt2_11
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 5.3-alt2_10
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 5.3-alt2_9
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 5.3-alt2_8
- update to new release by fcimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 5.3-alt1_8
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 5.3-alt1_5
- update to new release by fcimport

* Wed Nov 20 2019 Igor Vlasenko <viy@altlinux.ru> 5.3-alt1_4
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 5.3-alt1_3
- new version

